.loader {
    width: 250px;
    border-radius: 10px;
    border: 4px solid rgba(0, 0, 0, 0);
    position: relative;
    padding: 1px
}

.loader:before {
    content: "";
    border: 1px solid #fff;
    border-radius: 10px;
    position: absolute;
    top: -4px;
    right: -4px;
    bottom: -4px;
    left: -4px
}

.loader .loaderBar {
    position: absolute;
    border-radius: 10px;
    top: 0;
    right: 100%;
    bottom: 0;
    left: 0;
    background: #fff;
    width: 0;
    animation: borealisBar 2s linear infinite
}

.tcm-icon-size-large {
    padding: 4px
}

.tcm-icon-size-large>.mud-icon-button-label>svg.mud-svg-icon {
    font-size: 2.25rem
}

button.tcm-button-ripple {
    border-radius: 5px
}

.spinner_OSmW {
    transform-origin: center;
    animation: spinner_T6mA .75s step-end infinite
}

@keyframes spinner_T6mA {
    8.3% {
        transform: rotate(30deg)
    }

    16.6% {
        transform: rotate(60deg)
    }

    25% {
        transform: rotate(90deg)
    }

    33.3% {
        transform: rotate(120deg)
    }

    41.6% {
        transform: rotate(150deg)
    }

    50% {
        transform: rotate(180deg)
    }

    58.3% {
        transform: rotate(210deg)
    }

    66.6% {
        transform: rotate(240deg)
    }

    75% {
        transform: rotate(270deg)
    }

    83.3% {
        transform: rotate(300deg)
    }

    91.6% {
        transform: rotate(330deg)
    }

    100% {
        transform: rotate(360deg)
    }
}

@keyframes borealisBar {
    0% {
        left: 0%;
        right: 100%;
        width: 0%
    }

    10% {
        left: 0%;
        right: 75%;
        width: 25%
    }

    90% {
        right: 0%;
        left: 75%;
        width: 25%
    }

    100% {
        left: 100%;
        right: 0%;
        width: 0%
    }
}


.contenedor-principal {
    position: relative;
    width: 100% !important;
    height: 100% !important;
    overflow: hidden;
}

.drawer {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: white;
    z-index: 999;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
}

.drawer-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.drawer-body {
    flex-grow: 1;
}

.drawer-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transition: transform 0.3s ease-in-out;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    transform: translateX(-100%);
}

.drawer-container.show {
    transform: translateX(0%);
}

.drawer-container.hide {
    transform: translateX(-100%);
}

@media (max-width: 768px) {
    .drawer-container {
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        z-index: 1350;
    }
}

.text-center
{
    text-align: center;
}

#tree [data-ctrl-menu] > hr {
    display: block;
    margin-block-start: 0.5em;
    margin-block-end: 0.5em;
    margin-inline-start: auto;
    margin-inline-end: auto;
    unicode-bidi: isolate;
    overflow: hidden;
    border-style: inset;
    border-width: 1px;
}

.p-0-content {
    padding: 0 !important;
}

.m-0-content {
    margin: 0 !important;
}